FreeMat

- Main Page
- Related Pages

vtkExtractUserDefinedPiece

Section: Visualization Toolkit Parallel Classes

# Usage

Provided a function that determines which cells are zero-level cells ("the piece"), this class outputs the piece with the requested number of ghost levels. The only difference between this class and the class it is derived from is that the zero-level cells are specified by a function you provide, instead of determined by dividing up the cells based on cell Id.

To create an instance of class vtkExtractUserDefinedPiece, simply invoke its constructor as follows

      obj = vtkExtractUserDefinedPiece

# Methods

The class vtkExtractUserDefinedPiece has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractUserDefinedPiece class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractUserDefinedPiece = obj.NewInstance ()`
- `vtkExtractUserDefinedPiece = obj.SafeDownCast (vtkObject o)`